ReloadableResourceBundleMessageSource.PropertiesHolder (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.spring.context.support

## [Java] Class PropertiesHolder

- org.grails.spring.context.support.ReloadableResourceBundleMessageSource.PropertiesHolder

- PropertiesHolder for caching. Stores the last-modified timestamp of the source file for efficient change detection, and the timestamp of the last refresh attempt (updated every time the cache entry gets re-validated).

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReloadableResourceBundleMessageSource.PropertiesHolder (java.lang.String filename, org.springframework.core.io.Resource resource)`
    `ReloadableResourceBundleMessageSource.PropertiesHolder (java.util.Properties properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `long` | `getFileTimestamp()`
    `` | `java.lang.String` | `getFilename()`
    `` | `java.text.MessageFormat` | `getMessageFormat(java.lang.String code, java.util.Locale locale)`
    `` | `java.util.Properties` | `getProperties()`
    `` | `java.lang.String` | `getProperty(java.lang.String code)`
    `` | `boolean` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ReloadableResourceBundleMessageSource.PropertiesHolder(java.lang.String filename, org.springframework.core.io.Resource resource)

    - #### public ReloadableResourceBundleMessageSource.PropertiesHolder(java.util.Properties properties)

  - ### Method Detail

    - #### public long getFileTimestamp()

    - #### public java.lang.String getFilename()

    - #### public java.text.MessageFormat getMessageFormat(java.lang.String code, java.util.Locale locale)

    - #### public java.util.Properties getProperties()

    - #### public java.lang.String getProperty(java.lang.String code)

    - #### public boolean update()